/*
 * Copyright 2023 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

inline void Body::setUnsteadyLoads(size_t imd, size_t ifq, std::vector<sdpmVector3cd> const &nl)
{
    for (size_t i = 0; i < nl.size(); ++i)
    {
        _nLoads1Re[imd][ifq][i] = nl[i].real();
        _nLoads1Im[imd][ifq][i] = nl[i].imag();
    }
}

inline void Body::setUnsteadyLiftCoeff(size_t imd, size_t ifq, sdpmComplex cl)
{
    _cl1Re[imd][ifq] = cl.real();
    _cl1Im[imd][ifq] = cl.imag();
}
inline void Body::setUnsteadyDragCoeff(size_t imd, size_t ifq, sdpmComplex cd)
{
    _cd1Re[imd][ifq] = cd.real();
    _cd1Im[imd][ifq] = cd.imag();
}
inline void Body::setUnsteadySideforceCoeff(size_t imd, size_t ifq, sdpmComplex cs)
{
    _cs1Re[imd][ifq] = cs.real();
    _cs1Im[imd][ifq] = cs.imag();
}
inline void Body::setUnsteadyMomentCoeff(size_t imd, size_t ifq, sdpmComplex cm)
{
    _cm1Re[imd][ifq] = cm.real();
    _cm1Im[imd][ifq] = cm.imag();
}
